Package org.apache.sysds.runtime.compress.utils

# Class DoubleCountHashMap

java.lang.Object
org.apache.sysds.runtime.compress.utils.ACountHashMap<Double>
org.apache.sysds.runtime.compress.utils.DoubleCountHashMap

All Implemented Interfaces:
  `Cloneable`

public final class DoubleCountHashMap extends ACountHashMap<Double>

## Constructor Summary

Constructors
Constructor
Description
`DoubleCountHashMap()`
`DoubleCountHashMap(int init_capacity)`

## Method Summary

Modifier and Type
Method
Description
`DoubleCountHashMap`
`clone()`
`double[]`
`getDictionary()`
`double[]`
`getDictionary(int size)`
`void`
`replaceWithUIDs(double v)`
`void`
`replaceWithUIDsNoZero()`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.ACountHashMap

`extractValues, get, getC, getId, getMostFrequent, getOrDefault, increment, increment, increment, increment, reset, size, sortBuckets, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleCountHashMap

public DoubleCountHashMap()

### DoubleCountHashMap

public DoubleCountHashMap(int init_capacity)

## Method Details

### getDictionary

public double[] getDictionary()

### getDictionary

public double[] getDictionary(int size)

### replaceWithUIDs

public void replaceWithUIDs(double v)

### replaceWithUIDsNoZero

public void replaceWithUIDsNoZero()

### clone

public DoubleCountHashMap clone()